PGASetIntegerInitPermute(2)

NAME
PGASetIntegerInitPermute - sets a flag to tell the initialization routines to set each integer-valued gene to a random permutation of the values given by an upper and lower bound.

DESCRIPTION
The length of the interval must be the same as the string length. This is the default strategy for initializing integer-valued strings. The default interval is [0,L-1] where L is the string length. No string initialization is done by this call.

INPUT PARAMETERS
ctx - context variable
min - the lower bound of numbers used in the permutation
max - the upper bound of numbers used in the permutation

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
void  PGASetIntegerInitPermute(ctx, min, max)
PGAContext *ctx
int min
int max

LOCATION
integer.c

EXAMPLE
Set the initialization routines to set each gene to a random and
unique value from the interval $[500,599]$.

PGAContext *ctx;
:
PGASetIntegerInitPermute(ctx, 500, 599)}